{
  config,
  pkgs,
  lib,
  ...
}:

{

  services.blueman.enable = true;

  # Enable sound.
  sound.enable = true;
  nixpkgs.config.pulseaudio = true;

  services.pipewire = {
    enable = true;
    alsa.enable = true;
    pulse.enable = true;
  };
  security.rtkit.enable = true;

  hardware = {
    pulseaudio.enable = lib.mkForce false;
    graphics = {
      enable = true;
      enable32Bit = true;
      extraPackages = with pkgs; [
        intel-compute-runtime
        intel-media-driver
        libvdpau-va-gl
        vaapiVdpau
      ];

    };
    acpilight.enable = true;
    bluetooth = {
      enable = true;
      package = pkgs.bluez;
    };
    logitech.wireless = {
      enable = true;
      enableGraphical = true;
    };
  };

  services.hardware.bolt.enable = true;
  services.udisks2.enable = true;
  services.upower.enable = config.powerManagement.enable;

  programs.light.enable = true;
  programs.adb.enable = true;

  services.fprintd = {
    enable = true;
    package = pkgs.fprintd-tod;
    tod = {
      enable = true;
      driver = pkgs.libfprint-2-tod1-vfs0090;
    };
  };
}
